package com.foreverwin.mesnac.common.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 工具表
 * </p>
 *
 * @author pavel.liu
 * @since 2021-07-14
 */

@TableName("Z_TOOL")

public class Tool extends Model<Tool> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 工具具编号
     */
   @TableField("TOOL")
   private String tool;
    /**
     * 描述
     */
   @TableField("DESCRIPTION")
   private String description;
    /**
     * 状态
     */
   @TableField("STATUS")
   private String status;
    /**
     * 类型
     */
   @TableField("TOOL_TYPE")
   private String toolType;
    /**
     * 规格
     */
   @TableField("SPECIFICATION")
   private String specification;
    /**
     * 品牌
     */
   @TableField("BRAND")
   private String brand;
    /**
     * 备注
     */
   @TableField("REMARK")
   private String remark;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getTool() {
      return tool;
   }

   public void setTool(String tool) {
      this.tool = tool;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getToolType() {
      return toolType;
   }

   public void setToolType(String toolType) {
      this.toolType = toolType;
   }

   public String getSpecification() {
      return specification;
   }

   public void setSpecification(String specification) {
      this.specification = specification;
   }

   public String getBrand() {
      return brand;
   }

   public void setBrand(String brand) {
      this.brand = brand;
   }

   public String getRemark() {
      return remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String TOOL = "TOOL";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String STATUS = "STATUS";

public static final String TOOL_TYPE = "TOOL_TYPE";

public static final String SPECIFICATION = "SPECIFICATION";

public static final String BRAND = "BRAND";

public static final String REMARK = "REMARK";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "Tool{" +
         "handle = " + handle +
         ", site = " + site +
         ", tool = " + tool +
         ", description = " + description +
         ", status = " + status +
         ", toolType = " + toolType +
         ", specification = " + specification +
         ", brand = " + brand +
         ", remark = " + remark +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}